Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dgegs

    java.lang.Object
      org.netlib.lapack.Dgegs

    public class Dgegs

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  This routine is deprecated and has been replaced by routine DGGES.
     *
     *  DGEGS computes the eigenvalues, real Schur form, and, optionally,
     *  left and or/right Schur vectors of a real matrix pair (A,B).
     *  Given two square matrices A and B, the generalized real Schur
     *  factorization has the form
     *
     *    A = Q*S*Z**T,  B = Q*T*Z**T
     *
     *  where Q and Z are orthogonal matrices, T is upper triangular, and S
     *  is an upper quasi-triangular matrix with 1-by-1 and 2-by-2 diagonal
     *  blocks, the 2-by-2 blocks corresponding to complex conjugate pairs
     *  of eigenvalues of (A,B).  The columns of Q are the left Schur vectors
     *  and the columns of Z are the right Schur vectors.
     *
     *  If only the eigenvalues of (A,B) are needed, the driver routine
     *  DGEGV should be used instead.  See DGEGV for a description of the
     *  eigenvalues of the generalized nonsymmetric eigenvalue problem
     *  (GNEP).
     *
     *  Arguments
     *  =========
     *
     *  JOBVSL  (input) CHARACTER*1
     *          = 'N':  do not compute the left Schur vectors;
     *          = 'V':  compute the left Schur vectors (returned in VSL).
     *
     *  JOBVSR  (input) CHARACTER*1
     *          = 'N':  do not compute the right Schur vectors;
     *          = 'V':  compute the right Schur vectors (returned in VSR).
     *
     *  N       (input) INTEGER
     *          The order of the matrices A, B, VSL, and VSR.  N >= 0.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA, N)
     *          On entry, the matrix A.
     *          On exit, the upper quasi-triangular matrix S from the
     *          generalized real Schur factorization.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of A.  LDA >= max(1,N).
     *
     *  B       (input/output) DOUBLE PRECISION array, dimension (LDB, N)
     *          On entry, the matrix B.
     *          On exit, the upper triangular matrix T from the generalized
     *          real Schur factorization.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of B.  LDB >= max(1,N).
     *
     *  ALPHAR  (output) DOUBLE PRECISION array, dimension (N)
     *          The real parts of each scalar alpha defining an eigenvalue
     *          of GNEP.
     *
     *  ALPHAI  (output) DOUBLE PRECISION array, dimension (N)
     *          The imaginary parts of each scalar alpha defining an
     *          eigenvalue of GNEP.  If ALPHAI(j) is zero, then the j-th
     *          eigenvalue is real; if positive, then the j-th and (j+1)-st
     *          eigenvalues are a complex conjugate pair, with
     *          ALPHAI(j+1) = -ALPHAI(j).
     *
     *  BETA    (output) DOUBLE PRECISION array, dimension (N)
     *          The scalars beta that define the eigenvalues of GNEP.
     *          Together, the quantities alpha = (ALPHAR(j),ALPHAI(j)) and
     *          beta = BETA(j) represent the j-th eigenvalue of the matrix
     *          pair (A,B), in one of the forms lambda = alpha/beta or
     *          mu = beta/alpha.  Since either lambda or mu may overflow,
     *          they should not, in general, be computed.
     *
     *  VSL     (output) DOUBLE PRECISION array, dimension (LDVSL,N)
     *          If JOBVSL = 'V', the matrix of left Schur vectors Q.
     *          Not referenced if JOBVSL = 'N'.
     *
     *  LDVSL   (input) INTEGER
     *          The leading dimension of the matrix VSL. LDVSL >=1, and
     *          if JOBVSL = 'V', LDVSL >= N.
     *
     *  VSR     (output) DOUBLE PRECISION array, dimension (LDVSR,N)
     *          If JOBVSR = 'V', the matrix of right Schur vectors Z.
     *          Not referenced if JOBVSR = 'N'.
     *
     *  LDVSR   (input) INTEGER
     *          The leading dimension of the matrix VSR. LDVSR >= 1, and
     *          if JOBVSR = 'V', LDVSR >= N.
     *
     *  WORK    (workspace/output) DOUBLE PRECISION array, dimension (MAX(1,L
     *          On exit, if INFO = 0, WORK(1) returns the optimal LWORK.
     *
     *  LWORK   (input) INTEGER
     *          The dimension of the array WORK.  LWORK >= max(1,4*N).
     *          For good performance, LWORK must generally be larger.
     *          To compute the optimal value of LWORK, call ILAENV to get
     *          blocksizes (for DGEQRF, DORMQR, and DORGQR.)  Then compute:
     *          NB  -- MAX of the blocksizes for DGEQRF, DORMQR, and DORGQR
     *          The optimal LWORK is  2*N + N*(NB+1).
     *
     *          If LWORK = -1, then a workspace query is assumed; the routine
     *          only calculates the optimal size of the WORK array, returns
     *          this value as the first entry of the WORK array, and no error
     *          message related to LWORK is issued by XERBLA.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *          = 1,...,N:
     *                The QZ iteration failed.  (A,B) are not in Schur
     *                form, but ALPHAR(j), ALPHAI(j), and BETA(j) should
     *                be correct for j=INFO+1,...,N.
     *          > N:  errors that usually indicate LAPACK problems:
     *                =N+1: error return from DGGBAL
     *                =N+2: error return from DGEQRF
     *                =N+3: error return from DORMQR
     *                =N+4: error return from DORGQR
     *                =N+5: error return from DGGHRD
     *                =N+6: error return from DHGEQZ (other than failed
     *                                                iteration)
     *                =N+7: error return from DGGBAK (computing VSL)
     *                =N+8: error return from DGGBAK (computing VSR)
     *                =N+9: error return from DLASCL (various places)
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dgegs()`

Method Summary
`static void` | `dgegs(java.lang.String jobvsl, java.lang.String jobvsr, int n, double[] a, int _a_offset, int lda, double[] b, int _b_offset, int ldb, double[] alphar, int _alphar_offset, double[] alphai, int _alphai_offset, double[] beta, int _beta_offset, double[] vsl, int _vsl_offset, int ldvsl, double[] vsr, int _vsr_offset, int ldvsr, double[] work, int _work_offset, int lwork, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dgegs

    public Dgegs()

Method Detail

### dgegs

    public static void dgegs(java.lang.String jobvsl,
                             java.lang.String jobvsr,
                             int n,
                             double[] a,
                             int _a_offset,
                             int lda,
                             double[] b,
                             int _b_offset,
                             int ldb,
                             double[] alphar,
                             int _alphar_offset,
                             double[] alphai,
                             int _alphai_offset,
                             double[] beta,
                             int _beta_offset,
                             double[] vsl,
                             int _vsl_offset,
                             int ldvsl,
                             double[] vsr,
                             int _vsr_offset,
                             int ldvsr,
                             double[] work,
                             int _work_offset,
                             int lwork,
                             intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD